Zum Hauptinhalt springen
POST
/
marketing
/
v3
/
campaigns
/
batch
/
read
Einen Batch mit Kampagnen lesen
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/campaigns/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "assets": {},
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Unterstützte Produkte

Erfordert eines der folgenden Produkte oder höher.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Kostenlos
Service HubService Hub -Kostenlos
Content HubContent Hub -Kostenlos

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

endDate
string
properties
string[]
startDate
string

Body

application/json
inputs
object[]
erforderlich

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Der Zeitstempel, wann die Verarbeitung der Batch-Anfrage abgeschlossen wurde.

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

Der Zeitstempel, wann die Verarbeitung der Batch-Anfrage begonnen hat.

status
enum<string>
erforderlich

Der aktuelle Verarbeitungsstatus des Batch-Vorgangs mit den möglichen Werten: CANCELED, COMPLETE, PENDING, PROCESSING.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Eine Sammlung von URLs, die mit zugehörigen Ressourcen oder Dokumentationen verknüpft sind.

numErrors
integer<int32>
requestedAt
string<date-time>

Der Zeitstempel, wann die Batch-Anfrage ursprünglich gestellt wurde.

Last modified on March 24, 2026